> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt
> Use this file to discover all available pages before exploring further.

# Update account

> Update an existing account.



## OpenAPI

````yaml put /v1/finance/accounts/{id}
openapi: 3.0.0
info:
  title: Finance Accounts API
  version: 1.0.0
servers:
  - url: https://api.nomi.tools
    description: Main API server
security:
  - basicAuth: []
paths:
  /v1/finance/accounts/{id}:
    put:
      tags:
        - Finance / Accounts
      summary: Update account
      description: Update an existing account.
      operationId: updateAccount
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Accept
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountPayload'
      responses:
        '200':
          description: Account updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
components:
  schemas:
    AccountPayload:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
        balance:
          type: number
        currency:
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Use HTTP Basic Authentication.  Provide your email as login and PPT
        token as the password.

````